Import('*')

objects = []

# INCLUDE DIRECTORIES
# Implements: COR010
includes = [
	'api'
]

# SOURCE FILES
sources = [
	'src/ECU_StartupTask.c',
	'src/Nm_CallBack_Stubs.c',
	'src/Nvm_MultiBlockCallback.c',
]

# GENERATED SOURCE FILES
gen_sources = [
]

# ADD INCLUDE DIRECTORIES
for include in includes:
	env.Append(CPPPATH=[Dir(include).abspath])

# COMPILER SOURCE FILE
for source in sources:
	objects += env.Object(source)
	
# GENERATED SOURCE FILES
for gen_source in gen_sources:
	objects += env.Object(gen_source)

#objects = env.Library('INFRA', objects)

# RETURN					  
Return('objects')